package com.xxl.job.admin.core.thread;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.core.conf.XxlJobAdminConfig;
import com.xxl.job.admin.core.model.XxlJobInfo;
import com.xxl.job.admin.core.model.XxlJobLog;
import com.xxl.job.admin.core.thread.JobFailMonitorHelper;
import com.xxl.job.admin.core.thread.JobTriggerPoolHelper;
import com.xxl.job.admin.core.trigger.TriggerTypeEnum;
import com.xxl.job.admin.core.util.I18nUtil;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.TimeUnit;

class null implements Runnable {
  public void run() {
    while (!JobFailMonitorHelper.access$000(JobFailMonitorHelper.this)) {
      try {
        List<Long> failLogIds = XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().findFailJobLogIds(1000);
        if (failLogIds != null && !failLogIds.isEmpty())
          for (Iterator<Long> iterator = failLogIds.iterator(); iterator.hasNext(); ) {
            long failLogId = ((Long)iterator.next()).longValue();
            int lockRet = XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().updateAlarmStatus(failLogId, 0, -1);
            if (lockRet < 1)
              continue; 
            XxlJobLog log = XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().load(failLogId);
            XxlJobInfo info = XxlJobAdminConfig.getAdminConfig().getXxlJobInfoDao().loadById(log.getJobId());
            if (log.getExecutorFailRetryCount() > 0) {
              JobTriggerPoolHelper.trigger(log.getJobId(), TriggerTypeEnum.RETRY, log.getExecutorFailRetryCount() - 1, log.getExecutorShardingParam(), log.getExecutorParam(), null);
              String retryMsg = "<br><br><span style=\"color:#F39C12;\" > >>>>>>>>>>>" + I18nUtil.getString("jobconf_trigger_type_retry") + "<<<<<<<<<<< </span><br>";
              log.setTriggerMsg(log.getTriggerMsg() + retryMsg);
              XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().updateTriggerInfo(log);
            } 
            int newAlarmStatus = 0;
            if (info != null) {
              boolean alarmResult = XxlJobAdminConfig.getAdminConfig().getJobAlarmer().alarm(info, log);
              newAlarmStatus = alarmResult ? 2 : 3;
            } else {
              newAlarmStatus = 1;
            } 
            XxlJobAdminConfig.getAdminConfig().getXxlJobLogDao().updateAlarmStatus(failLogId, -1, newAlarmStatus);
          }  
      } catch (Throwable e) {
        if (!JobFailMonitorHelper.access$000(JobFailMonitorHelper.this))
          JobFailMonitorHelper.access$100().error(">>>>>>>>>>> xxl-job, job fail monitor thread error:{}", e); 
      } 
      try {
        TimeUnit.SECONDS.sleep(10L);
      } catch (Throwable e) {
        if (!JobFailMonitorHelper.access$000(JobFailMonitorHelper.this))
          JobFailMonitorHelper.access$100().error(e.getMessage(), e); 
      } 
    } 
    JobFailMonitorHelper.access$100().info(">>>>>>>>>>> xxl-job, job fail monitor thread stop");
  }
}
